import { Point } from "./Point";
export declare class Node {
    name: string;
    id: string;
    icon: string;
    position: Point;
    selected: boolean;
    highlightInPort: boolean;
    scale: number;
    outPortOffset: Point;
    inPortOffset: Point;
    width: number;
    height: number;
    constructor(node: any);
    get outPortPosition(): Point;
    get inPortPosition(): Point;
    clone(): Node;
    toString(): string;
    getRandomIcon(): string;
}
