import React from 'react';
import { Node } from '../Models';
declare type Props = {
    node: Node;
    updateNode: any;
    selectedNode: Node | null;
    selectNode: (node: Node | null) => void;
    canvasView: any;
    onConnectionDrag: any;
    onConnectionEnd: any;
    snapToGrid: boolean;
    connectionCandidate: boolean;
};
declare class NodeComponent extends React.Component<Props> {
    static displayName: string;
    static defaultProps: {
        snapToGrid: boolean;
    };
    state: {};
    private dragging;
    private domNode;
    private em;
    componentDidMount(): void;
    componentWillUnmount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    _onTap: (e: any) => void;
    _onMove: (e: any) => void;
    _onMoveEnd: () => void;
    snapToGrid: () => void;
    getTransform: () => string;
    render(): JSX.Element;
}
export default NodeComponent;
