import React from 'react';
import { Node } from '../Models';
declare type InPortProps = {
    node: Node;
    unselected: boolean;
    highlight: boolean;
};
export declare const InPort: React.MemoExoticComponent<({ node, unselected, highlight }: InPortProps) => JSX.Element>;
declare type OutPortProps = {
    node: Node;
    unselected: boolean;
    onConnectionDrag: (node: Node, e: Event) => void;
    onConnectionEnd: (node: Node, e: Event) => void;
};
export declare const OutPort: React.MemoExoticComponent<({ node, unselected, onConnectionDrag, onConnectionEnd }: OutPortProps) => JSX.Element>;
export {};
